# Delete context image

`DELETE https://api.lingohub.com/v1/{workspaceUrl}/projects/{projectUrl}/contextImages/{id}`

LingoHub API V1 · [Context Images](https://developers.lingohub.com/reference/v1/operations/tags/context-images.md) · operation `v1ContextImagesDeleteContextImages`

Delete the specified context image

## Parameters

| Parameter | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `workspaceUrl` | path | yes | string | workspaceUrl |
| `projectUrl` | path | yes | string | projectUrl |
| `id` | path | yes | string |  |

## Example request

```sh
curl --request DELETE \
  --url https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL/contextImages/ID \
  --header 'Authorization: Bearer YOUR_API_KEY'
```

## Responses

- `200`: OK: Delete the context image corresponding to the specified id

## OpenAPI definition

The complete definition of this operation, with every schema it references:

````json
{
  "openapi": "3.1.0",
  "info": {
    "title": "LingoHub API V1",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.lingohub.com",
      "description": "Generated server url"
    }
  ],
  "tags": [
    {
      "name": "Context Images",
      "description": "Endpoints for the operations that can be performed on the context images"
    }
  ],
  "paths": {
    "/v1/{workspaceUrl}/projects/{projectUrl}/contextImages/{id}": {
      "delete": {
        "tags": [
          "Context Images"
        ],
        "summary": "Delete context image",
        "description": "Delete the specified context image",
        "operationId": "v1ContextImagesDeleteContextImages",
        "parameters": [
          {
            "name": "workspaceUrl",
            "in": "path",
            "description": "workspaceUrl",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "projectUrl",
            "in": "path",
            "description": "projectUrl",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Specific Id that is created from the id and the 'type' of the corresponding resource. When used in requests, its value is the prefix of the FriendlyIdType followed by the encrypted id of the resource. I.e : For context_images, a valid request param value would be : ci_18USq6822XIv-19847171"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK: Delete the context image corresponding to the specified id"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "description": "API key authentication. Create API keys in your LingoHub workspace settings. Keys use the `lh-api_` prefix. Pass the full key as the Bearer token.",
        "scheme": "bearer"
      }
    }
  }
}
````
